# ``subvertpy``

package documentation

Python bindings for Subversion.

Module | `delta` | Subversion delta operations.
Module | `marshall` | Marshalling for the svn_ra protocol.
Module | `properties` | Handling of Subversion properties.
Module | `ra` | Python bindings for Subversion.
Module | `ra_svn` | Python bindings for Subversion.
Module | `server` | Server backend base classes.
Package | `tests` | Tests for subvertpy.

From `__init__.py`:

Exception | `SubversionException` | A Subversion exception
Constant | `AUTH_PARAM_DEFAULT_PASSWORD` | Undocumented
Constant | `AUTH_PARAM_DEFAULT_USERNAME` | Undocumented
Constant | `ERR_APR_OS_ERRSPACE_SIZE` | Undocumented
Constant | `ERR_APR_OS_START_EAIERR` | Undocumented
Constant | `ERR_AUTHN_NO_PROVIDER` | Undocumented
Constant | `ERR_BAD_DATE` | Undocumented
Constant | `ERR_BAD_FILENAME` | Undocumented
Constant | `ERR_BAD_PROPERTY_VALUE` | Undocumented
Constant | `ERR_BAD_URL` | Undocumented
Constant | `ERR_CANCELLED` | Undocumented
Constant | `ERR_CATEGORY_SIZE` | Undocumented
Constant | `ERR_DIR_NOT_EMPTY` | Undocumented
Constant | `ERR_EAI_NONAME` | Undocumented
Constant | `ERR_ENTRY_EXISTS` | Undocumented
Constant | `ERR_ENTRY_NOT_FOUND` | Undocumented
Constant | `ERR_FS_ALREADY_EXISTS` | Undocumented
Constant | `ERR_FS_CONFLICT` | Undocumented
Constant | `ERR_FS_NO_SUCH_REVISION` | Undocumented
Constant | `ERR_FS_NOT_DIRECTORY` | Undocumented
Constant | `ERR_FS_NOT_FILE` | Undocumented
Constant | `ERR_FS_NOT_FOUND` | Undocumented
Constant | `ERR_FS_PATH_SYNTAX` | Undocumented
Constant | `ERR_FS_ROOT_DIR` | Undocumented
Constant | `ERR_FS_TXN_OUT_OF_DATE` | Undocumented
Constant | `ERR_INCOMPLETE_DATA` | Undocumented
Constant | `ERR_MALFORMED_FILE` | Undocumented
Constant | `ERR_NODE_UNKNOWN_KIND` | Undocumented
Constant | `ERR_RA_CANNOT_CREATE_SESSION` | Undocumented
Constant | `ERR_RA_DAV_FORBIDDEN` | Undocumented
Constant | `ERR_RA_DAV_NOT_VCC` | Undocumented
Constant | `ERR_RA_DAV_PATH_NOT_FOUND` | Undocumented
Constant | `ERR_RA_DAV_PROPPATCH_FAILED` | Undocumented
Constant | `ERR_RA_DAV_RELOCATED` | Undocumented
Constant | `ERR_RA_DAV_REQUEST_FAILED` | Undocumented
Constant | `ERR_RA_ILLEGAL_URL` | Undocumented
Constant | `ERR_RA_LOCAL_REPOS_OPEN_FAILED` | Undocumented
Constant | `ERR_RA_NOT_AUTHORIZED` | Undocumented
Constant | `ERR_RA_NOT_IMPLEMENTED` | Undocumented
Constant | `ERR_RA_SERF_SSL_CERT_UNTRUSTED` | Undocumented
Constant | `ERR_RA_SVN_CONNECTION_CLOSED` | Undocumented
Constant | `ERR_RA_SVN_MALFORMED_DATA` | Undocumented
Constant | `ERR_RA_SVN_REPOS_NOT_FOUND` | Undocumented
Constant | `ERR_RA_SVN_UNKNOWN_CMD` | Undocumented
Constant | `ERR_REPOS_BAD_ARGS` | Undocumented
Constant | `ERR_REPOS_DISABLED_FEATURE` | Undocumented
Constant | `ERR_REPOS_HOOK_FAILURE` | Undocumented
Constant | `ERR_STREAM_MALFORMED_DATA` | Undocumented
Constant | `ERR_SVNDIFF_CORRUPT_WINDOW` | Undocumented
Constant | `ERR_UNKNOWN_CAPABILITY` | Undocumented
Constant | `ERR_UNKNOWN_HOSTNAME` | Undocumented
Constant | `ERR_UNSUPPORTED_FEATURE` | Undocumented
Constant | `ERR_WC_BAD_ADM_LOG` | Undocumented
Constant | `ERR_WC_BAD_ADM_LOG_START` | Undocumented
Constant | `ERR_WC_LOCKED` | Undocumented
Constant | `ERR_WC_NODE_KIND_CHANGE` | Undocumented
Constant | `ERR_WC_NOT_DIRECTORY` | Undocumented
Constant | `ERR_WC_NOT_LOCKED` | Undocumented
Constant | `ERR_WC_NOT_WORKING_COPY` | Undocumented
Constant | `ERR_WC_PATH_NOT_FOUND` | Undocumented
Constant | `ERR_WC_SCHEDULE_CONFLICT` | Undocumented
Constant | `ERR_WC_UNSUPPORTED_FORMAT` | Undocumented
Constant | `ERR_WC_UPGRADE_REQUIRED` | Undocumented
Constant | `ERR_XML_MALFORMED` | Undocumented
Constant | `NODE_DIR` | Undocumented
Constant | `NODE_FILE` | Undocumented
Constant | `NODE_NONE` | Undocumented
Constant | `NODE_UNKNOWN` | Undocumented
Constant | `SSL_CNMISMATCH` | Undocumented
Constant | `SSL_EXPIRED` | Undocumented
Constant | `SSL_NOTYETVALID` | Undocumented
Constant | `SSL_OTHER` | Undocumented
Constant | `SSL_UNKNOWNCA` | Undocumented
Variable | `__author__` | Undocumented
Variable | `__version__` | Undocumented
Variable | `dll_dirs` | Undocumented
Variable | `path` | Undocumented
Function | `_check_mtime` | Check whether a C extension is out of date.

AUTH_PARAM_DEFAULT_PASSWORD: `str` =

Undocumented

Value

    'svn:auth:password'

AUTH_PARAM_DEFAULT_USERNAME: `str` =

Undocumented

Value

    'svn:auth:username'

ERR_APR_OS_ERRSPACE_SIZE: `int` =

Undocumented

Value

    50000

ERR_APR_OS_START_EAIERR: `int` =

Undocumented

Value

    670000

ERR_AUTHN_NO_PROVIDER: `int` =

Undocumented

Value

    215001

ERR_BAD_DATE: `int` =

Undocumented

Value

    125003

ERR_BAD_FILENAME: `int` =

Undocumented

Value

    125001

ERR_BAD_PROPERTY_VALUE: `int` =

Undocumented

Value

    125005

ERR_BAD_URL: `int` =

Undocumented

Value

    125002

ERR_CANCELLED: `int` =

Undocumented

Value

    200015

ERR_CATEGORY_SIZE: `int` =

Undocumented

Value

    5000

ERR_DIR_NOT_EMPTY: `int` =

Undocumented

Value

    200011

ERR_EAI_NONAME: `int` =

Undocumented

Value

    670008

ERR_ENTRY_EXISTS: `int` =

Undocumented

Value

    150002

ERR_ENTRY_NOT_FOUND: `int` =

Undocumented

Value

    150000

ERR_FS_ALREADY_EXISTS: `int` =

Undocumented

Value

    160020

ERR_FS_CONFLICT: `int` =

Undocumented

Value

    160024

ERR_FS_NO_SUCH_REVISION: `int` =

Undocumented

Value

    160006

ERR_FS_NOT_DIRECTORY: `int` =

Undocumented

Value

    160016

ERR_FS_NOT_FILE: `int` =

Undocumented

Value

    160017

ERR_FS_NOT_FOUND: `int` =

Undocumented

Value

    160013

ERR_FS_PATH_SYNTAX: `int` =

Undocumented

Value

    160005

ERR_FS_ROOT_DIR: `int` =

Undocumented

Value

    160021

ERR_FS_TXN_OUT_OF_DATE: `int` =

Undocumented

Value

    160028

ERR_INCOMPLETE_DATA: `int` =

Undocumented

Value

    200003

ERR_MALFORMED_FILE: `int` =

Undocumented

Value

    200002

ERR_NODE_UNKNOWN_KIND: `int` =

Undocumented

Value

    145000

ERR_RA_CANNOT_CREATE_SESSION: `int` =

Undocumented

Value

    170013

ERR_RA_DAV_FORBIDDEN: `int` =

Undocumented

Value

    175013

ERR_RA_DAV_NOT_VCC: `int` =

Undocumented

Value

    20014

ERR_RA_DAV_PATH_NOT_FOUND: `int` =

Undocumented

Value

    175007

ERR_RA_DAV_PROPPATCH_FAILED: `int` =

Undocumented

Value

    175008

ERR_RA_DAV_RELOCATED: `int` =

Undocumented

Value

    175011

ERR_RA_DAV_REQUEST_FAILED: `int` =

Undocumented

Value

    175002

ERR_RA_ILLEGAL_URL: `int` =

Undocumented

Value

    170000

ERR_RA_LOCAL_REPOS_OPEN_FAILED: `int` =

Undocumented

Value

    180001

ERR_RA_NOT_AUTHORIZED: `int` =

Undocumented

Value

    170001

ERR_RA_NOT_IMPLEMENTED: `int` =

Undocumented

Value

    170003

ERR_RA_SERF_SSL_CERT_UNTRUSTED: `int` =

Undocumented

Value

    230001

ERR_RA_SVN_CONNECTION_CLOSED: `int` =

Undocumented

Value

    210002

ERR_RA_SVN_MALFORMED_DATA: `int` =

Undocumented

Value

    210004

ERR_RA_SVN_REPOS_NOT_FOUND: `int` =

Undocumented

Value

    210005

ERR_RA_SVN_UNKNOWN_CMD: `int` =

Undocumented

Value

    210001

ERR_REPOS_BAD_ARGS: `int` =

Undocumented

Value

    165002

ERR_REPOS_DISABLED_FEATURE: `int` =

Undocumented

Value

    165006

ERR_REPOS_HOOK_FAILURE: `int` =

Undocumented

Value

    165001

ERR_STREAM_MALFORMED_DATA: `int` =

Undocumented

Value

    140001

ERR_SVNDIFF_CORRUPT_WINDOW: `int` =

Undocumented

Value

    185001

ERR_UNKNOWN_CAPABILITY: `int` =

Undocumented

Value

    200026

ERR_UNKNOWN_HOSTNAME: `int` =

Undocumented

Value

    670002

ERR_UNSUPPORTED_FEATURE: `int` =

Undocumented

Value

    200007

ERR_WC_BAD_ADM_LOG: `int` =

Undocumented

Value

    155009

ERR_WC_BAD_ADM_LOG_START: `int` =

Undocumented

Value

    155020

ERR_WC_LOCKED: `int` =

Undocumented

Value

    155004

ERR_WC_NODE_KIND_CHANGE: `int` =

Undocumented

Value

    155018

ERR_WC_NOT_DIRECTORY: `int` =

Undocumented

Value

    155007

ERR_WC_NOT_LOCKED: `int` =

Undocumented

Value

    155005

ERR_WC_NOT_WORKING_COPY: `int` =

Undocumented

Value

    155007

ERR_WC_PATH_NOT_FOUND: `int` =

Undocumented

Value

    155010

ERR_WC_SCHEDULE_CONFLICT: `int` =

Undocumented

Value

    155013

ERR_WC_UNSUPPORTED_FORMAT: `int` =

Undocumented

Value

    155021

ERR_WC_UPGRADE_REQUIRED: `int` =

Undocumented

Value

    155036

ERR_XML_MALFORMED: `int` =

Undocumented

Value

    130003

NODE_DIR: `int` =

Undocumented

Value

    2

NODE_FILE: `int` =

Undocumented

Value

    1

NODE_NONE: `int` =

Undocumented

Value

    0

NODE_UNKNOWN: `int` =

Undocumented

Value

    3

SSL_CNMISMATCH: `int` =

Undocumented

Value

    4

SSL_EXPIRED: `int` =

Undocumented

Value

    2

SSL_NOTYETVALID: `int` =

Undocumented

Value

    1

SSL_OTHER: `int` =

Undocumented

Value

    1073741824

SSL_UNKNOWNCA: `int` =

Undocumented

Value

    8

__author__: `str` =

Undocumented

__version__: `tuple[int, ...]` =

Undocumented

dll_dirs =

Undocumented

path =

Undocumented

def _check_mtime(m):

Check whether a C extension is out of date.

:param m: Python module that is a C extension